const fs = require('fs');
const AWS = require('aws-sdk');

AWS.config.loadFromPath('./aws.config.json');

const s3 = new AWS.S3();

const params = {
  Bucket: '<your-bucket-name>',
  Key: 'sample.jpg',
  ACL: 'public-read',
  Body: fs.createReadStream('sample.jpg'),
  ContentType: 'image/jpeg'
};

s3.upload(params, function(err, data) {
  if (err) console.log(err, err.stack);
  else     console.log(data);
});

const result = s3.getResourceUrl('amazonalbum.devrealms.com', 'sample-2.jpg');